Cyan Web API - Version 1


GET api/nodeIndices/{nodeIndexId}

            Gets a NodeIndex
            

Request Information

Parameters

NameDescriptionAdditional information
nodeIndexId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "nodeIndexId": "19352b19-4bc8-481b-95ff-bbbfcd3799f6",
  "tenantId": "d3f408f4-7a90-4f28-991d-078b75d20bde",
  "propertyKey": "sample string 3",
  "propertyValue": "sample string 4",
  "nodeId": "98a0a6d4-ed12-4779-81af-7233c97103cc",
  "nodeCyanId": 6,
  "cyanId": 7,
  "createdDateUtc": "2026-11-13T23:59:38.6639356+00:00",
  "updatedDateUtc": "2026-11-13T23:59:38.6639356+00:00"
}

application/xml, text/xml

Sample:
<NodeIndexRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:38.6639356+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:38.6639356+00:00</UpdatedDateUtc>
  <CyanId>7</CyanId>
  <NodeCyanId>6</NodeCyanId>
  <NodeId>98a0a6d4-ed12-4779-81af-7233c97103cc</NodeId>
  <NodeIndexId>19352b19-4bc8-481b-95ff-bbbfcd3799f6</NodeIndexId>
  <PropertyKey>sample string 3</PropertyKey>
  <PropertyValue>sample string 4</PropertyValue>
  <TenantId>d3f408f4-7a90-4f28-991d-078b75d20bde</TenantId>
</NodeIndexRepresentation>